Bug 161596 - Update port: lang/bigloo to 3.7a
Summary: Update port: lang/bigloo to 3.7a
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-14 19:50 UTC by tkato432
Modified: 2011-10-23 18:04 UTC (History)
0 users

See Also:


Attachments
file.diff (29.28 KB, patch)
2011-10-14 19:50 UTC, tkato432
no flags Details | Diff
lang_bigloo.diff (29.03 KB, patch)
2011-10-16 09:59 UTC, tkato432
no flags Details | Diff
lang_bigloo.diff (29.03 KB, patch)
2011-10-18 18:59 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2011-10-14 19:50:07 UTC
- Update to version 3.7a
Comment 1 tkato432 2011-10-16 09:59:04 UTC
Version 3.7a.2 has been released.
Comment 2 Emanuel Haupt freebsd_committer 2011-10-17 19:16:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I will take care of it.
Comment 3 Emanuel Haupt freebsd_committer 2011-10-18 15:10:23 UTC
State Changed
From-To: open->feedback

Unfortunately the latest patch doesn't apply anymore. Any chance you could reroll the patch?
Comment 4 tkato432 2011-10-18 18:59:02 UTC
Remake of the patch against current tree.
Comment 5 Emanuel Haupt freebsd_committer 2011-10-18 20:12:02 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 6 Emanuel Haupt 2011-10-18 22:38:03 UTC
It seems like the tarball just got re-rolled again:

--- output begins here ---
# make fetch
===>  Vulnerability check disabled, database not found
===>  License GPLv2 LGPL20 accepted by the user
=> bigloo3.7a-2.tar.gz doesn't seem to exist in /usr/distfiles/.
=> Attempting to fetch ftp://ftp-sop.inria.fr/indes/fp/Bigloo/bigloo3.7a-2.tar.gz
fetch: ftp://ftp-sop.inria.fr/indes/fp/Bigloo/bigloo3.7a-2.tar.gz: size mismatch: expected 28839705, actual 14432496
=> Attempting to fetch ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/bigloo3.7a-2.tar.gz
fetch: ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/bigloo3.7a-2.tar.gz: File unavailable (e.g., file not found, no access)
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/distfiles/ and try again.
*** Error code 1

Stop in /usr/ports/lang/bigloo.
--- output ends here ---

With the new file I get the following checksum:

--- checksum begins here ---
SHA256 (bigloo3.7a-2.tar.gz) = f2f84954242482f822fb27da4d247b9ada6920f4e49751148bb5c8a2ddcdcd32
SIZE (bigloo3.7a-2.tar.gz) = 14432496
--- checksum ends here ---

...builds fine but the pkg-plist needs some adjustment. Could you please verify the
distfile change?
Comment 7 Emanuel Haupt freebsd_committer 2011-10-18 22:38:54 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 8 Emanuel Haupt freebsd_committer 2011-10-21 15:58:48 UTC
State Changed
From-To: feedback->open

Feedback received (via mail).
Comment 9 Emanuel Haupt freebsd_committer 2011-10-21 20:29:12 UTC
After taking taking the latest patch and updating the checksum the following pkg-plist problem remains: http://people.freebsd.org/~ehaupt/snippets/kato3/bigloo-3.7a.2.log - also, files seem to get installed in non-standard locations  (eg. usr/local/doc/bigloo-3.7a).
Comment 10 Emanuel Haupt freebsd_committer 2011-10-23 18:04:23 UTC
State Changed
From-To: open->closed

Committed, thanks!